# SPDX-License-Identifier: GPL-2.0
%YAML 1.2
---
$id: http://devicetree.org/schemas/clock/allwinner,sun4i-a10-pll1-clk.yaml#
$schema: http://devicetree.org/meta-schemas/core.yaml#

title: Allwinner A10 CPU PLL Device Tree Bindings

maintainers:
  - Chen-Yu Tsai <wens@csie.org>
  - Maxime Ripard <mripard@kernel.org>

deprecated: true

properties:
  "#clock-cells":
    const: 0

  compatible:
    enum:
      - allwinner,sun4i-a10-pll1-clk
      - allwinner,sun6i-a31-pll1-clk
      - allwinner,sun8i-a23-pll1-clk

  reg:
    maxItems: 1

  clocks:
    maxItems: 1

  clock-output-names:
    maxItems: 1

required:
  - "#clock-cells"
  - compatible
  - reg
  - clocks
  - clock-output-names

additionalProperties: false

examples:
  - |
    clk@1c20000 {
        #clock-cells = <0>;
        compatible = "allwinner,sun4i-a10-pll1";
        reg = <0x01c20000 0x4>;
        clocks = <&osc24M>;
        clock-output-names = "osc24M";
    };

  - |
    clk@1c20000 {
        #clock-cells = <0>;
        compatible = "allwinner,sun6i-a31-pll1-clk";
        reg = <0x01c20000 0x4>;
        clocks = <&osc24M>;
        clock-output-names = "pll1";
    };

  - |
    clk@1c20000 {
        #clock-cells = <0>;
        compatible = "allwinner,sun8i-a23-pll1-clk";
        reg = <0x01c20000 0x4>;
        clocks = <&osc24M>;
        clock-output-names = "pll1";
    };

...
